[background-image] {
    position: relative;
    overflow: hidden;
    border: 2px solid green;
}

[background-image] > img:first-child {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: -1;
}

[background-image] textcaption {
    position: absolute;
    bottom: 2rem;
    left: 2rem;
    background-color: lightgray;
    padding: 2rem;
}
